# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Summary:	Compute `intelligent' differences between two files/lists
Name:		perl-Algorithm-Diff
Version:	1.1902
Release:	7.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Algorithm-Diff/
Source0:	http://search.cpan.org/CPAN/authors/id/T/TY/TYEMQ/Algorithm-Diff-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:	perl(ExtUtils::MakeMaker)

%description
This is a module for computing the difference between two files, two strings,
or any other two lists of things. It uses an intelligent algorithm similar to
(or identical to) the one used by the Unix "diff" program. It is guaranteed to
find the *smallest possible* set of differences.

%prep
%setup -q -n Algorithm-Diff-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -type d -depth -exec /bin/rmdir {} ';' 2>/dev/null
%{__chmod} 755 %{buildroot}%{perl_vendorlib}/Algorithm/*.pl

%files
%defattr(-,root,root,-)
%doc README* Changes
%{perl_vendorlib}/Algorithm/Diff.pm
%{perl_vendorlib}/Algorithm/DiffOld.pm
%{perl_vendorlib}/Algorithm/cdiff.pl
%{perl_vendorlib}/Algorithm/diff.pl
%{perl_vendorlib}/Algorithm/diffnew.pl
%{perl_vendorlib}/Algorithm/htmldiff.pl
%{_mandir}/man3/Algorithm::Diff.3pm*
%{_mandir}/man3/Algorithm::DiffOld.3pm*

%changelog
* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> 1.1902-7
- Rebuild for perl 5.12.1 in Rawhide

* Fri May 28 2010 Paul Howarth <paul@city-fan.org> 1.1902-6
- Fix dist tag for RHEL-6 Beta

* Fri Feb 19 2010 Paul Howarth <paul@city-fan.org> 1.1902-5
- Dist tag for Rawhide no longer needs special-casing

* Thu Sep  3 2009 Paul Howarth <paul@city-fan.org> 1.1902-4
- Define RPM macros in global scope

* Wed Nov  5 2008 Paul Howarth <paul@city-fan.org> 1.1902-3
- BuildRequire perl(ExtUtils::MakeMaker)
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Fri Sep  1 2006 Paul Howarth <paul@city-fan.org> 1.1902-2
- Fix distribution tags for development releases

* Mon Jul 30 2006 Paul Howarth <paul@city-fan.org> 1.1902-1
- Update to 1.1902
- Simplify distribution-detection
- Remove macro %%{__perl_version}, used only once
- Remove macro %%{__perl_package}, used only twice
- Define %%{__id_u} in a more portable way
- Use search.cpan.org URLs
- Don't use macros in command paths, hardcode them instead
- Clear buildroot unconditionally in %%clean and %%install
- Don't bother setting compiler flags for noarch package
- Make example scripts executable

* Sat Jun  4 2005 Paul Howarth <paul@city-fan.org> 1.1901-2
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Wed Oct 27 2004 Paul Howarth <paul@city-fan.org> 1.1901-1
- Update to 1.1901
- Tidy up spec file

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> 1.15-1
- Initial build
